<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:custom="http://schemas.android.com/apk/res-auto"
                xmlns:tools="http://schemas.android.com/tools"
                xmlns:emojicon="http://schemas.android.com/apk/res-auto"
                android:layoutDirection="rtl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:layout_marginBottom="6dp"
                android:paddingLeft="40dp"
                android:paddingEnd="40dp"
                android:paddingRight="0dp"
                android:paddingStart="0dp">



    <RelativeLayout
        style="@style/RightChatItemRelativeLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/chat_item_sending_failed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/chat_item_message_status"
            android:layout_toEndOf="@+id/chat_item_message_status"
            android:paddingBottom="5dp"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:text="@string/chat_item_sending_failed"
            android:textColor="@color/colorHarvard"
            android:textSize="10sp"
            android:visibility="gone"
            tools:ignore="SmallSp"
            tools:visibility="gone" />

        <ProgressBar
            android:id="@+id/chat_item_message_status_progress_bar"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_alignBottom="@+id/chat_item_time"
            android:layout_alignTop="@+id/chat_item_time"
            android:layout_marginEnd="8dp"
            android:layout_marginRight="8dp"
            android:layout_toLeftOf="@+id/chat_item_time"
            android:layout_toStartOf="@+id/chat_item_time"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/chat_item_message_status"
            tools:src="@drawable/delivered"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/chat_item_time"
            android:layout_alignTop="@+id/chat_item_time"
            android:layout_marginStart="5dp"
            android:layout_marginLeft="5dp"
            android:layout_toRightOf="@+id/chat_item_time"
            android:layout_toEndOf="@+id/chat_item_time"
            android:contentDescription="@null"
            android:visibility="gone"
            tools:visibility="visible"
             />

        <TextView
            android:id="@+id/chat_item_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:textColor="@color/colorTimestamp"
            android:textSize="10sp"
            tools:ignore="SmallSp"
            tools:text="15:23"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/chat_item_file"
            android:layout_width="wrap_content"
            android:layout_height="90dp"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_below="@id/chat_item_time"
            android:layout_marginTop="4dp"
            android:adjustViewBounds="true"
            android:contentDescription="@null"
            android:scaleType="fitEnd"
            android:visibility="gone"
            tools:visibility="visible"/>

        <com.github.lzyzsd.circleprogress.DonutProgress
            android:id="@+id/chat_item_progress"
            android:layout_width="90dp"
            android:layout_height="90dp"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:layout_below="@id/chat_item_time"
            android:layout_marginTop="4dp"
            android:visibility="gone"
            custom:donut_finished_color="@color/colorDefault"
            custom:donut_text_color="@color/colorBlack" />

        <TextView
            android:id="@+id/chat_item_file_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/chat_item_time"
            android:layout_marginTop="95dp"
            android:textColor="@color/colorBlack"
            android:visibility="gone" />

        <hani.momanii.supernova_emoji_library.Helper.EmojiconTextView
            android:id="@+id/chat_item_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_below="@id/chat_item_file"
            android:visibility="gone"
            emojicon:emojiconSize="20sp"
            style="@style/BaseChatItemText"
            android:textColor="@color/colorWhite"
            tools:text="Meine Freundin, die Maschine. Als sie mein Herz für sich gewann. Mit ihren ganzen kleinen Geschwistern, mit denen man alles machen kann."
            tools:visibility="gone"
            />
    </RelativeLayout>

</RelativeLayout>